summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2013-04-10 18:37:40 +0200
committer Robby Workman2013-04-16 00:21:01 +0200
commit416def0e1d96a54d1925ffb6a897629415a4daed (patch)
treeb4df110a6fdb080a5644f7b71249193b1de7c237
parent6ce215668f59bf476d4d0a22eb88f4e357382023 (diff)
downloadslackbuilds-416def0e1d96a54d1925ffb6a897629415a4daed.tar.gz
development/scratch: Added (programming educational tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--development/scratch/README3
-rw-r--r--development/scratch/doinst.sh13
-rw-r--r--development/scratch/scratch.SlackBuild125
-rw-r--r--development/scratch/scratch.info10
-rw-r--r--development/scratch/slack-desc19
5 files changed, 170 insertions, 0 deletions
diff --git a/development/scratch/README b/development/scratch/README
new file mode 100644
index 0000000000..21eb438922
--- /dev/null
+++ b/development/scratch/README
@@ -0,0 +1,3 @@
+Scratch is a programming language that makes it easy to create your
+own interactive stories, animations, games, music, and art --
+and share your creations on the web.
diff --git a/development/scratch/doinst.sh b/development/scratch/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/development/scratch/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/scratch/scratch.SlackBuild b/development/scratch/scratch.SlackBuild
new file mode 100644
index 0000000000..3e65103c72
--- /dev/null
+++ b/development/scratch/scratch.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Slackware build script for scratch
+
+# Copyright 2013 Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=scratch
+VERSION=${VERSION:-1.4.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION.src
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION.src
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make build
+
+# Fix libdir in startup script
+sed \
+ -e "s/lib\//lib${LIBDIRSUFFIX}\//" \
+ -i src/scratch
+
+mkdir -p $PKG/usr/bin/
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+mkdir -p $PKG/usr/share/applications/
+mkdir -p $PKG/usr/man/man1/
+mkdir -p $PKG/usr/share/mime/packages/
+mkdir -p $PKG/usr/share/icons/hicolor/{128x128,32x32,48x48}/apps
+mkdir -p $PKG/usr/share/$PRGNAM
+
+install -m 0755 src/scratch $PKG/usr/bin/scratch
+install -m 0644 Scratch.image $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/Scratch.image
+install -m 0644 Scratch.ini $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/Scratch.ini
+install -m 0644 src/scratch.desktop $PKG/usr/share/applications/scratch.desktop
+install -m 0644 src/man/scratch.1.gz $PKG/usr/man/man1/scratch.1.gz
+install -m 0644 src/scratch.xml $PKG/usr/share/mime/packages/scratch.xml
+
+cp -rf locale Media Projects $PKG/usr/share/$PRGNAM
+
+# Fix permissions
+cd $PKG/usr/share/$PRGNAM
+ find . -type d -exec chmod 0755 {} \;
+ find . -type f -exec chmod 0644 {} \;
+cd -
+
+cp -rf src/icons/128x128/* $PKG/usr/share/icons/hicolor/128x128/apps
+cp -rf src/icons/32x32/* $PKG/usr/share/icons/hicolor/32x32/apps
+cp -rf src/icons/48x48/* $PKG/usr/share/icons/hicolor/48x48/apps
+chmod -R 0755 $PKG/usr/share/icons/hicolor
+
+cp -rf Plugins $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/help
+cp -a \
+ ACKNOWLEDGEMENTS KNOWN-BUGS LICENSE NOTICE README TRADEMARK_POLICY \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Help/en/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION/help
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/scratch/scratch.info b/development/scratch/scratch.info
new file mode 100644
index 0000000000..323a059393
--- /dev/null
+++ b/development/scratch/scratch.info
@@ -0,0 +1,10 @@
+PRGNAM="scratch"
+VERSION="1.4.0.7"
+HOMEPAGE="http://scratch.mit.edu/"
+DOWNLOAD="http://download.scratch.mit.edu/scratch-1.4.0.7.src.tar.gz"
+MD5SUM="f948e9e6de3ec9c7c7b4cc2a1975eb5a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="squeak-vm"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackware-id.org" \ No newline at end of file
diff --git a/development/scratch/slack-desc b/development/scratch/slack-desc
new file mode 100644
index 0000000000..5ec7840e29
--- /dev/null
+++ b/development/scratch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+scratch: scratch (programming educational tool)
+scratch:
+scratch: Scratch is a programming language that makes it easy to create your
+scratch: own interactive stories, animations, games, music, and art --
+scratch: and share your creations on the web.
+scratch:
+scratch: Scratch is developed by the Lifelong Kindergarten Group
+scratch:
+scratch: Project Site: http://scratch.mit.edu/
+scratch:
+scratch: